[hacktree: 2/4] Add test for --repo



commit 42a3a68d178c23e86f50acdc97795f1a9c8505a6
Author: Colin Walters <walters verbum org>
Date:   Fri Oct 14 20:41:57 2011 -0400

    Add test for --repo

 tests/t0001-init-out-of-tree.sh |   37 +++++++++++++++++++++++++++++++++++++
 1 files changed, 37 insertions(+), 0 deletions(-)
---
diff --git a/tests/t0001-init-out-of-tree.sh b/tests/t0001-init-out-of-tree.sh
new file mode 100755
index 0000000..436b41b
--- /dev/null
+++ b/tests/t0001-init-out-of-tree.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters verbum org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Author: Colin Walters <walters verbum org>
+
+set -e
+
+. libtest.sh
+
+echo '1..3'
+
+mkdir files
+cd files
+echo hello > yy
+
+mkdir ../repo
+hacktree init --repo=../repo
+echo 'ok init'
+hacktree fsck --repo=../repo -q
+echo 'ok fsck'
+hacktree link-file --repo=../repo yy
+echo 'ok link'



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]